/*
 *  Copyright (C) 2001 Jorn Baayen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef __cplusplus
extern "C" {
#endif

/* persistent_data_manager.c */
void pdm_show_page (GaleonWindow *window, PDMPage page);
void pdm_apply (PDMDialog *pd);
void pdm_close (PDMDialog *pd);
void pdm_update_cookie_view (PDMDialog *pd, Cookie *c);
void pdm_remove_cookie (PDMDialog *pd, Cookie *c, gboolean block);
void pdm_update_cookie_sites_view (PDMDialog *pd, BlockedHost *c);
void pdm_remove_cookie_site (PDMDialog *pd, BlockedHost *c);
void pdm_update_image_sites_view (PDMDialog *pd, BlockedHost *c);
void pdm_remove_image_site (PDMDialog *pd, BlockedHost *c);
void pdm_update_password_view (PDMDialog *pd, Password *p);
void pdm_remove_password (PDMDialog *pd, Password *p);
void pdm_update_password_sites_view (PDMDialog *pd, Password *p);
void pdm_remove_password_site (PDMDialog *pd, Password *p);
	
#ifdef __cplusplus
}
#endif
